# pull official base image
FROM node:14-alpine

# set working directory
WORKDIR /app

# add `/app/node_modules/.bin` to $PATH
ENV PATH /app/node_modules/.bin:$PATH

# install app dependencies
COPY package.json .
COPY package-lock.json .
RUN npm ci
RUN npm install react-scripts@4.0.1 -g --silent
RUN npm install prettier@2.2.1 -g --silent

# add app
COPY . .

# start app
CMD ["npm", "start"]
